Package: mapserver
Version: 6.4.1-4
Severity: important
Usertags: perl-5.20-transition

Starting with version 5.20.0 (currently in experimental), the Debian
perl package is changing the "vendorarch" library paths (currently
/usr/lib/perl5) to include the multiarch triplet and the perl version. See
#748380 for details.

For this to work, packages containing binary perl modules need to migrate
from using the hardcoded /usr/lib/perl5 directory to the value of the
$Config{vendorarch} variable, as defined in the 'Config' module.

This package fails to build with perl_5.20.0-1 from experimental:

  dh_install --autodest --list-missing
  cp: cannot stat 'debian/tmp/usr/lib/perl5/': No such file or directory
  dh_install: cp -a debian/tmp/usr/lib/perl5/ 
debian/libmapscript-perl//usr/lib/ returned exit code 1
  make[1]: *** [override_dh_install] Error 2
  debian/rules:157: recipe for target 'override_dh_install' failed
  make[1]: Leaving directory '/«PKGBUILDDIR»'
  make: *** [binary-arch] Error 2

One solution for this might be an executable debhelper install file
(available with debhelper compat level 9) expanding $Config{vendorarch}.
See #751924 for an example of this.

Please ask on the debian-perl list if you want help with this, and see;
for a list of similar bugs and patches.
Niko Tyni

Pkg-grass-devel mailing list

Reply via email to